[Bug 232469] Re: Synaptic does not use proxy in some cases

Kovács Zoltán kovzol at particio.com
Sat Nov 29 11:14:35 UTC 2008


Currently I'm unable to check the newest versions of the postinst files,
because I'm still using Feisty. Here I found the following postinst for
msttcorefonts:

---8X snip here ---
#!/bin/sh
set -e

. /usr/share/debconf/confmodule
#DEBHELPER#

db_get msttcorefonts/dldir
LOCALCOPY=$RET

db_get msttcorefonts/savedir

SAVEDIR=${RET:+-s$RET}

db_get msttcorefonts/dlurl
URLOVERRIDE=${RET:+-u$RET}

db_get msttcorefonts/http_proxy
HTTP_PROXY=${RET:+-p$RET}

if [ -e /usr/share/fonts/truetype/ms-fonts ] ; then
  cp -p /usr/share/fonts/truetype/ms-fonts /var/lib/msttcorefonts/ms-fonts
  rm -f /usr/share/fonts/truetype/ms-fonts
fi

if [ -d /var/state/msttcorefonts ] ; then
 cp -p /var/state/msttcorefonts/* /var/lib/msttcorefonts/ 2>/dev/null || true
 rm -rf /var/state/msttcorefonts/

 # It's not FHS, and it's probably our fault this is here,
 # so delete it if we can.
 rmdir /var/state/ 2> /dev/null || true
fi

# Since we moved the fonts from /usr/share/fonts/truetype to
#/usr/share/fonts/truetype/msttcorefonts, run update-fonts-dir in
#/usr/share/fonts/truetype

update-fonts-dir truetype

update-ms-fonts $URLOVERRIDE $SAVEDIR $LOCALCOPY
---8X snip here ---

It seems that HTTP_PROXY should be substituted by http_proxy because
wget uses the lowercased variable. I am not sure if "export http_proxy"
is also needed after it is set.

In addition, flashplugin-nonfree also has a buggy postinst file (just a
part of it is copy-pasted):

---8X snip here ---
        else # no local file

                db_get flashplugin-nonfree/httpget
                if [ "$RET" != "true" ]; then
                        fp_exit_with_error "download or license refused"
                fi

                # setting wget options
                :> wgetrc
                echo "noclobber = off" >> wgetrc
                echo "dir_prefix = ." >> wgetrc
                echo "dirstruct = off" >> wgetrc
                echo "verbose = on" >> wgetrc
                echo "progress = dot:default" >> wgetrc

                # downloading the plugin
                echo "Downloading..."
                rm -f install_flash_player_9_linux.tar.gz
                if [ -f /home/bart/src/flashplugin-nonfree/bartm_debug ]; then
                        WGETRC=wgetrc wget http://127.0.0.1/bart/install_flash_player_9_linux.tar.gz \
                                || fp_exit_with_error "download failed"
                else
                        WGETRC=wgetrc wget http://fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_9_linux.tar.gz \
                                || fp_exit_with_error "download failed"
                fi
                rm -f wgetrc
                echo "Download done."

        fi # end if local file
---8X snip here ---

Obviously http_proxy is not set here.

-- 
Synaptic does not use proxy in some cases
https://bugs.launchpad.net/bugs/232469
You received this bug notification because you are a member of Mozilla
Bugs, which is subscribed to flashplugin-nonfree in ubuntu.




More information about the Ubuntu-mozillateam-bugs mailing list